%define _name nautilus-cd-burner
%define ver_major 0.6

Name: nautilus2-cd-burner
Version: %ver_major.0
Release: alt1

Summary:  An extension for Nautilus to write files to a CD
Group: Graphical desktop/GNOME
License: LGPL
Url: ftp://ftp.gnome.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%_name/%ver_major/%_name-%version.tar.bz2

%define GConf_ver 2.4.0
%define gtk_ver 2.2.4
%define nautilus_ver 2.4.0
%define gnome_vfs_ver 2.4.1
%define libgnome_ver 2.4.0

PreReq: GConf2 >= %GConf_ver

Requires: gnome-vfs2 >= %gnome_vfs_ver
Requires: libgtk+2 >= %gtk_ver
Requires: libgnome >= %libgnome_ver

BuildPreReq: libnautilus-devel >= %nautilus_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: gnome-vfs2-devel >= %gnome_vfs_ver
BuildPreReq: libgnome-devel >= %libgnome_ver

# Automatically added by buildreq on Fri Oct 24 2003
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs esound-devel fontconfig freetype2 gcc-c++ glib2-devel glibc-devel-static gnome-vfs2-devel libGConf2-devel libORBit2 libalsa-devel libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libeel2-devel libexpat libgail-devel libglade2-devel libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg-devel libpango-devel libpopt-devel libssl-devel libstdc++-devel libxml2-devel pkgconfig zlib-devel

%description
This package contains a Nautilus extension makes it easy to write files
to a CD.

%define _libexecdir %_libdir/nautilus-2.0/components
%define _bonobo_servers_dir %_libdir/bonobo/servers

%prep
%setup -q -n %_name-%version

%build
%configure --disable-schemas-install
%make_build

%install
%makeinstall

%find_lang %_name

%post
%gconf2_install ncb

%files -f %_name.lang
%_bindir/*
%_libexecdir/*
%_libdir/gnome-vfs-2.0/modules/*.so
%_bonobo_servers_dir/*
%_datadir/%_name
%config %_sysconfdir/gconf/schemas/*
%config %_sysconfdir/gnome-vfs-2.0/modules/*
%doc AUTHORS README TODO ChangeLog

%changelog
* Fri Oct 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Wed Sep 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.3-alt1
- 0.5.3

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt1
- 0.5.1

* Tue May 06 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.1-alt1
- 0.4.1

* Mon Jan 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.2-alt1
- new version.

* Thu Jan 16 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.1-alt1
- First build for Sisyphus.
